Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MultipleSetterProperty

- org.codehaus.groovy.runtime.metaclass.MultipleSetterProperty

-     public class MultipleSetterProperty
      extends MetaProperty

  This class represents a property with multiple setters. Unlike a MetaBeanProperty you cannot get the setter in this case. Instead invocation is done through the metaclass of the property receiver.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleSetterProperty(String name)` Constructs a new MultipleSetterProperty.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaProperty` | `createStaticVersion()` Creates a static version of this property.
    `` | `public CachedField` | `getField()` Gets the cached field for this property.
    `` | `public MetaMethod` | `getGetter()` Gets the getter method for this property.
    `` | `public Object` | `getProperty(Object object)`
    `` | `public void` | `setField(CachedField f)` Sets the cached field for this property.
    `` | `public void` | `setGetter(MetaMethod getter)` Sets the getter method for this property.
    `` | `public void` | `setProperty(Object object, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MultipleSetterProperty(String name)

      Constructs a new MultipleSetterProperty.

      Parameters:
        `name` - the property name

  - ### Method Detail

    - #### public MetaProperty createStaticVersion()

      Creates a static version of this property. Returns null if both the field and getter are instance methods.

      Returns:
        a static version of this property, or this if already static, or null if no static version possible

    - #### public CachedField getField()

      Gets the cached field for this property.

      Returns:
        the cached field

    - #### public MetaMethod getGetter()

      Gets the getter method for this property.

      Returns:
        the getter metamethod

    - #### public Object getProperty(Object object)

    - #### public void setField(CachedField f)

      Sets the cached field for this property.

      Parameters:
        `f` - the cached field

    - #### public void setGetter(MetaMethod getter)

      Sets the getter method for this property.

      Parameters:
        `getter` - the getter metamethod

    - #### public void setProperty(Object object, Object newValue)